Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
pkcs11.h File Reference
`#include "pkcs11t.h"`
`#include "pkcs11f.h"`

Go to the source code of this file.

## Classes
struct | CK_FUNCTION_LIST

## Macros
#define | __PASTE(x, y) x##y
#define | CK_NEED_ARG_LIST 1
#define | CK_PKCS11_FUNCTION_INFO(name) extern CK_DECLARE_FUNCTION(CK_RV, name)
#define | CK_PKCS11_FUNCTION_INFO(name) typedef CK_DECLARE_FUNCTION_POINTER(CK_RV, __PASTE(CK_,name))
#define | CK_PKCS11_FUNCTION_INFO(name) __PASTE(CK_,name) name;

## Macro Definition Documentation

#define __PASTE | ( |  | x,
|  |  | y
| ) |  | x##y

Definition at line 189 of file pkcs11.h.

#define CK_NEED_ARG_LIST 1

Definition at line 217 of file pkcs11.h.

#define CK_NEED_ARG_LIST 1

Definition at line 217 of file pkcs11.h.

#define CK_PKCS11_FUNCTION_INFO | ( |  | name | ) | extern CK_DECLARE_FUNCTION(CK_RV, name)

Definition at line 239 of file pkcs11.h.

#define CK_PKCS11_FUNCTION_INFO | ( |  | name | ) | typedef CK_DECLARE_FUNCTION_POINTER(CK_RV, __PASTE(CK_,name))

Definition at line 239 of file pkcs11.h.

#define CK_PKCS11_FUNCTION_INFO | ( |  | name | ) | __PASTE(CK_,name) name;

Definition at line 239 of file pkcs11.h.